// thundermoniker.idl : IDL source for thundermoniker.dll
//

// This file will be processed by the MIDL tool to
// produce the type library (thundermoniker.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";
	[
		object,
		uuid(B3B57636-087E-11D3-930A-00C04FB92AFD),
		dual,
		helpstring("IThunderMk Interface"),
		pointer_default(unique)
	]
	interface IThunderMk : IDispatch
	{
		[propget, id(1), helpstring("property DisplayName")] HRESULT DisplayName([out, retval] BSTR *pVal);
		[propput, id(1), helpstring("property DisplayName")] HRESULT DisplayName([in] BSTR newVal);
	};

[
	uuid(A3DD63FE-087E-11D3-930A-00C04FB92AFD),
	version(1.0),
	helpstring("thundermoniker 1.0 Type Library")
]
library THUNDERMONIKERLib
{
	importlib("stdole32.tlb");
	importlib("stdole2.tlb");

	[
		uuid(C58E346A-087E-11D3-930A-00C04FB92AFD),
		helpstring("ThunderMk Class")
	]
	coclass ThunderMk
	{
		[default] interface IThunderMk;
	};
};
